<?xml version="1.0" encoding="ISO-8859-2"?>

<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html"
     encoding="ISO-8859-2"
     omit-xml-declaration = "no"
     standalone = "yes"
     doctype-public = "-//W3C//DTD XHTML 1.0 Strict//EN"
     doctype-system =  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
     indent = "yes"
/>

<xsl:template match="cdcat">
  <html>
    <head>
      <title>Mj xhtmlowy katalog pyt (by w XML)</title>
    </head>
    <body>

      <h1>Mj katalog</h1>
      <table border="1">
	<tr bgcolor="#a0d0a0">
	  <th>Tytu</th>
	  <th>Zesp</th>
	  <th>Rok</th>
	  <th>Wytwrnia</th>
	  <th>Gatunek</th>
	</tr>

	<xsl:for-each select="cd">
	  <tr>
	    <td><xsl:value-of select="title"/></td>
	    <td><xsl:value-of select="band"/></td>
	    <td><xsl:value-of select="@year"/></td>
	    <td><xsl:value-of select="@label"/></td>
	    <td><xsl:value-of select="@genre"/></td>
	  </tr>
	</xsl:for-each>

      </table>
    </body>
  </html>

</xsl:template>

</xsl:stylesheet>
